Bağlantılar

Kimlik Doğrulama
API anahtarı, isteklerin Authorization başlığında Bearer token olarak gönderilmelidir. API anahtarınızı alın.
Listele

API uç noktası

GET
https://link.adv.net.tr/api/v1/links

İstek örneği

curl --location --request GET 'https://link.adv.net.tr/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parameters

Ad
Tür
Açıklama
search
opsiyonel string
Search query.
search_by
opsiyonel string
Arama. Olası değerler: Başlık için title, Takma Ad için alias, URL için url. Varsayılan olarak: title.
status
opsiyonel integer
Durum. Olası değerler: Hepsi için 0, Aktif için 1, Süresi Dolmuş için 2, Devre Dışı için 3. Varsayılan olarak: 0.
space_id
opsiyonel integer
Space ID.
domain_id
opsiyonel integer
Domain ID.
pixel_id
opsiyonel integer
Pixel ID.
sort_by
opsiyonel string
Sırala. Olası değerler: Oluşturulma Tarihi için id, Tıklamalar için clicks, Başlık için title, Takma Ad için alias, URL için url. Varsayılan olarak: id.
sort
opsiyonel string
Sırala. Olası değerler: Azalan için desc, Artan için asc. Varsayılan olarak: desc.
per_page
opsiyonel integer
Sayfa başına sonuç. Olası değerler: 10, 25, 50, 100. Varsayılan olarak: 10.
Göster

API uç noktası

GET
https://link.adv.net.tr/api/v1/links/{id}

İstek örneği

curl --location --request GET 'https://link.adv.net.tr/api/v1/links/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Mağaza

API uç noktası

POST
https://link.adv.net.tr/api/v1/links

İstek örneği

curl --location --request POST 'https://link.adv.net.tr/api/v1/links' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'url={url}' \
--data-urlencode 'domain={id}'

Parameters

Ad
Tür
Açıklama
url
gerekli string
Destination URL.
domain_id
gerekli integer
Domain ID.
alias
opsiyonel string
Takma Ad.
space_id
opsiyonel integer
Space ID.
pixel_ids[]
opsiyonel array
Pixel IDs.
redirect_password
opsiyonel string
Redirect password.
sensitive_content
opsiyonel integer
Sensitive content. Olası değerler: Hayır için 0, Evet için 1. Varsayılan olarak: 0.
privacy
opsiyonel integer
Stats privacy. Olası değerler: Genel için 0, Özel için 1, Şifre için 2. Varsayılan olarak: 0.
password
opsiyonel string
Stats password. Only works with privacy field set to 2.
active_period_start_at
opsiyonel string
Active period starting date in Y-m-dTH:i:s format.
active_period_end_at
opsiyonel string
Active period ending date in Y-m-dTH:i:s format.
clicks_limit
opsiyonel integer
Clicks limit.
expiration_url
opsiyonel string
Expiration URL.
targets_type
opsiyonel string
Hedefleme. Olası değerler: Continents için continents, Countries için countries, Operating systems için operating_systems, Browsers için browsers, Languages için languages, Devices için devices, Rotations için rotations.
targets[index][key]
opsiyonel string

For targets_type=country, the value must be in ISO 3166-1 alpha-2 format.

For targets_type=operating_systems, the possible values are: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.

For targets_type=browsers, the possible values are: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.

For targets_type=devices, the possible values are: Desktop, Mobile, Tablet, Watch, Television.

For targets_type=languages, the value must be in ISO 639-1 alpha-2 format.

For targets_type=continents, the possible values are: Africa için AF, Antarctica için AN, Asia için AS, Europe için EU, North America için NA, Oceania için OC, South America için SA.

targets[index][value]
opsiyonel string
Destination URL.
Güncelle

API uç noktası

PUT PATCH
https://link.adv.net.tr/api/v1/links/{id}

İstek örneği

curl --location --request PUT 'https://link.adv.net.tr/api/v1/links/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Parameters

Ad
Tür
Açıklama
url
opsiyonel string
Destination URL.
alias
opsiyonel string
Takma Ad.
space_id
opsiyonel integer
Space ID.
pixel_ids[]
opsiyonel array
Pixel IDs.
redirect_password
opsiyonel string
Redirect password.
sensitive_content
opsiyonel integer
Sensitive content. Olası değerler: Hayır için 0, Evet için 1.
privacy
opsiyonel integer
Stats privacy. Olası değerler: Genel için 0, Özel için 1, Şifre için 2.
password
opsiyonel string
Stats password. Only works with privacy field set to 2.
active_period_start_at
opsiyonel string
Active period starting date in Y-m-dTH:i:s format.
active_period_end_at
opsiyonel string
Active period ending date in Y-m-dTH:i:s format.
clicks_limit
opsiyonel integer
Clicks limit.
expiration_url
opsiyonel string
Expiration URL.
targets_type
opsiyonel string
Hedefleme. Olası değerler: Continents için continents, Countries için countries, Operating systems için operating_systems, Browsers için browsers, Languages için languages, Devices için devices, Rotations için rotations.
targets[index][key]
opsiyonel string

For targets_type=country, the value must be in ISO 3166-1 alpha-2 format.

For targets_type=operating_systems, the possible values are: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.

For targets_type=browsers, the possible values are: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.

For targets_type=devices, the possible values are: Desktop, Mobile, Tablet, Watch, Television.

For targets_type=languages, the value must be in ISO 639-1 alpha-2 format.

For targets_type=continents, the possible values are: Africa için AF, Antarctica için AN, Asia için AS, Europe için EU, North America için NA, Oceania için OC, South America için SA.

targets[index][value]
opsiyonel string
Destination URL.
Sil

API uç noktası

DELETE
https://link.adv.net.tr/api/v1/links/{id}

İstek örneği

curl --location --request DELETE 'https://link.adv.net.tr/api/v1/links/{id}' \
--header 'Authorization: Bearer {api_key}'